package balboa

import "time"

// GraphqlError represent graphql errors.
type GraphqlError struct {
	Message string `json:"message"`
}

// Entries represent Entries structure fetched from Balboa
type Entries struct {
	Rrname           string    `json:"rrname"`
	Rrtype           string    `json:"rrtype"`
	Rdata            string    `json:"rdata"`
	SensorID         string    `json:"sensor_id"`
	TimeFirstRFC3339 time.Time `json:"time_first_rfc3339"`
	TimeLastRFC3339  time.Time `json:"time_last_rfc3339"`
	Count            int32     `json:"count"`
}

// EntriesList is the glue between EntriesResponse and []Entries
type EntriesList struct {
	EntriesListItem []Entries `json:"entries"`
}
